Public Member Functions | Public Attributes | List of all members
libcdr::CDRBitmap Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRBitmap ()
| CDRBitmap (unsigned cm, unsigned w, unsigned h, unsigned b, const std::vector< unsigned > &p, const std::vector< unsigned char > &bmp)

## Public Attributes
unsigned | colorModel
unsigned | width
unsigned | height
unsigned | bpp
std::vector< unsigned > | palette
std::vector< unsigned char > | bitmap

## Constructor & Destructor Documentation

## ◆ CDRBitmap() [1/2]

libcdr::CDRBitmap::CDRBitmap | ( |  | ) |
| inline

## ◆ CDRBitmap() [2/2]

libcdr::CDRBitmap::CDRBitmap | ( | unsigned | cm,
|  | unsigned | w,
|  | unsigned | h,
|  | unsigned | b,
|  | const std::vector< unsigned > & | p,
|  | const std::vector< unsigned char > & | bmp
| ) |  |
| inline

## Member Data Documentation

## ◆ bitmap

std::vector<unsigned char> libcdr::CDRBitmap::bitmap

## ◆ bpp

unsigned libcdr::CDRBitmap::bpp

## ◆ colorModel

unsigned libcdr::CDRBitmap::colorModel

## ◆ height

unsigned libcdr::CDRBitmap::height

## ◆ palette

std::vector<unsigned> libcdr::CDRBitmap::palette

## ◆ width

unsigned libcdr::CDRBitmap::width

The documentation for this struct was generated from the following file:

- CDRTypes.h